%define cvs 0
%define tarversion 1
%define beta rc5
%define rel alt2
%if %cvs == 1
%define cvsversion cvs20030930
%define release %rel.%cvsversion
%else
%define release %rel.%beta
%endif
Name: xine
Version: 1.0.0
Release: %release
Summary: A Free Video & Audio Player
Summary(ru_RU.KOI8-R):        DVD
License: GPL
Group: Video
Source: http://xine.sourceforge.net/files/%name-lib-%tarversion-%beta.tar.gz
#Patch0: xine-lib-cdrom.patch
Patch1: xine-lib-1-rc0b-use-shared-xv.patch
Patch2: xine-lib-1-rc0a-down-alsa-priority.patch
Url: http://xinehq.de/

# Automatically added by buildreq on Mon Jun 21 2004
BuildRequires: XFree86-devel XFree86-libs aalib-devel esound-devel freetype2-devel gcc-c++ gcc-g77 glib2-devel libGLU-devel libSDL-devel libalsa-devel libarts-devel libaudiofile-devel libfame-devel libflac-devel libglut-devel libgpm-devel libjpeg-devel libmng-devel libogg-devel libpng-devel libslang-devel libspeex-devel libstdc++-devel libtheora-devel libvorbis-devel modutils pkgconfig transfig zlib-devel

# librte-devel 
BuildPreReq: kernel-headers-std-up gcc-common gcc-c++

%description
libxine is a free gpl-licensed video player libraries and plugins for unix-like systems.
It supports mpeg-2 and mpeg-1 streams as well as AVI files
that contain MS MPEG-4 / OpenDivX Video.

%package -n lib%name
Group: Video
Summary: Free libraries for play video
Summary(ru_RU.KOI8-R):       

%description -n lib%name
libxine is a free gpl-licensed video player libraries and plugins for unix-like systems.
It supports mpeg-2 and mpeg-1 streams as well as AVI files
that contain MS MPEG-4 / OpenDivX Video.

%description -l ru_RU.KOI8-R -n lib%name
libxine -       .
  mpeg-2  mpeg-1 ,   AVI ,  MS MPEG4 
DivX .           DVD.
 
%package -n lib%name-devel
Summary: Includes for xine development
Summary(ru_RU.KOI8-R):      xine
Group: Development/Other
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package contains the include files for development for xine video output libraries.

%description -n lib%name-devel -l ru_RU.KOI8-R
    .h       
 xine.

%set_verify_elf_method textrel=relaxed

%prep
%setup -q -n %name-lib-%tarversion-%beta
%patch1 -p0
%patch2 -p1
%build
./autogen.sh noconfig

export GLOBAL_CFLAGS="$RPM_OPT_FLASG -D_FILE_OFFSET_BITS=64"
%configure --enable-shared --without-directfb  --disable-dvdnavtest --enable-fpic

%make GLOBAL_CFLAGS="$RPM_OPT_FLASG -D_REENTRANT -D_FILE_OFFSET_BITS=64 -DXINE_COMPILE   -I/usr/include/artsc "

%install
make DESTDIR=$RPM_BUILD_ROOT docsdir=%_datadir/doc/%name-%version install-strip
rm -f $RPM_BUILD_ROOT/%_libdir/xine/plugins/%version/xineplug_inp_dvb.so

%find_lang libxine1

%files -n lib%name -f libxine1.lang
%doc doc/README* AUTHORS ChangeLog CREDITS doc/faq/faq.txt
#plugins
%_libdir/xine/plugins/%version/*.so
%_libdir/xine/plugins/%version/vidix/*.so
%_libdir/xine/plugins/%version/post/*.so
%_libdir/libxine*.so.*
%_datadir/xine/*

%files -n lib%name-devel
%doc doc/hackersguide/hackersguide.html doc/hackersguide/library.png doc/hackersguide/overlays.png doc/hackersguide/architecture.png
%_libdir/libxine*.so
%_datadir/aclocal/*
%_libdir/pkgconfig/*
%_includedir/xine/*.h
%_includedir/xine.h
%_bindir/xine-config
%_mandir/man1/*

%changelog
* Mon Jun 21 2004 Anton Farygin <rider@altlinux.ru> 1.0.0-alt2.rc5
- rc5

* Thu May 13 2004 Anton Farygin <rider@altlinux.ru> 1.0.0-alt2.rc4a
- rc4a

* Wed May 12 2004 Anton Farygin <rider@altlinux.ru> 1.0.0-alt2.rc4
- rc4

* Mon Apr 19 2004 Anton Farygin <rider@altlinux.ru> 1.0.0-alt2.rc3c
- rc3c

* Thu Mar 18 2004 Anton Farygin <rider@altlinux.ru> 1.0.0-alt2.rc3b
- rc3b
- #2466 fixed (libxine-devel now required libxine-version-release)

* Sun Jan 04 2004 Anton Farygin <rider@altlinux.ru> 1.0.0-alt2.rc3a
- rc3a
- build fix

* Thu Oct 30 2003 Rider <rider@altlinux.ru> 1.0.0-alt2.rc2
- rc2

* Tue Oct 07 2003 Rider <rider@altlinux.ru> 1.0.0-alt2.rc1
- rc1

* Tue Sep 30 2003 Rider <rider@altlinux.ru> 1.0.0-alt1.cvs20030930
- update from CVS
- buildrequires added
- decrease alsa sound plugin priority

* Wed Sep 24 2003 Rider <rider@altlinux.ru> 1.0.0-alt1.cvs20030924
- update from CVS

* Thu Aug 14 2003 Rider <rider@altlinux.ru> 1.0.0-alt1.cvs20030814
- update from CVS

* Mon Jul 14 2003 Rider <rider@altlinux.ru> 1.0.0-alt1.cvs20030714
- update from CVS

* Wed Jul 09 2003 Rider <rider@altlinux.ru> 1.0.0-alt1.cvs20030709
- update from CVS (beta13 now)

* Mon Apr 28 2003 Rider <rider@altlinux.ru> 1.0.0-alt1.cvs20030428
- update from CVS

* Wed Apr 09 2003 Rider <rider@altlinux.ru> 1.0.0-alt1.cvs20030409
- beta 10 from CVS

* Mon Mar 31 2003 Rider <rider@altlinux.ru> 1.0.0-alt1.cvs20030331
- update from CVS

* Mon Mar 24 2003 Rider <rider@altlinux.ru> 1.0.0-alt1.cvs20030324
- update from CVS (beta9 now)

* Mon Mar 10 2003 Rider <rider@altlinux.ru> 1.0.0-alt1.cvs20030310
- beta8

* Wed Mar 05 2003 Rider <rider@altlinux.ru> 1.0.0-alt1.cvs20030305
- update from CVS
- more decrement alsa priority (alsa may be check after arts)

* Mon Mar 04 2003 Rider <rider@altlinux.ru> 1.0.0-alt1.cvs20030304
- update from CVS
- removed dvb input plugin (don't work now)

* Tue Feb 25 2003 Rider <rider@altlinux.ru> 1.0.0-alt1.cvs20030225
- update from CVS

* Sun Feb 17 2003 Rider <rider@altlinux.ru> 1.0.0-alt1.cvs20030217
- update from CVS
- fix requires to gnome-vfs (rebuild in BTE)

* Fri Feb 14 2003 Rider <rider@altlinux.ru> 1.0.0-alt1.cvs20030214
- update from CVS
- build with libflac for FLAC audio format support

* Thu Jan 30 2003 Rider <rider@altlinux.ru> 1.0.0-alt1.beta4
- beta 4

* Wed Jan 29 2003 Rider <rider@altlinux.ru> 1.0.0-alt0.1.beta4.cvs20030129
- build version 1.0.0 -beta4 from xine-lib CVS

* Fri Oct 18 2002 Rider <rider@altlinux.ru> 0.9.13-alt3
- BuildRequires fix
- rebuild (gcc 3.2)

* Tue Aug 20 2002 Rider <rider@altlinux.ru> 0.9.13-alt2
- vidix pluguns fix

* Mon Aug 05 2002 Rider <rider@altlinux.ru> 0.9.13-alt1
- 0.9.13

* Wed Jul 31 2002 Rider <rider@altlinux.ru> 0.9.12-alt1
- 0.9.12

* Thu Jun 06 2002 Rider <rider@altlinux.ru> 0.9.10-alt4
- rebuild

* Tue Jun 04 2002 Rider <rider@altlinux.ru> 0.9.10-alt3
- with libfame 0.9.0 rebuild

* Mon Jun 03 2002 Rider <rider@altlinux.ru> 0.9.10-alt2
- buildrequires fix
- build with libfame and librte
- specfile cleanup

* Mon May 27 2002 Rider <rider@altlinux.ru> 0.9.10-alt1
- 0.9.10
- buildrequres fix
- build without SDL, OpenGL and DirectFB output plugins
- added xvid decoder

* Tue Apr 30 2002 Rider <rider@altlinux.ru> 0.9.9-alt1
- 0.9.9

* Fri Jan 25 2002 Rider <rider@altlinux.ru> 0.9.8-alt2
- buildrequires fix

* Wed Jan 16 2002 Rider <rider@altlinux.ru> 0.9.8-alt1
- 0.9.8

* Fri Dec 14 2001 Rider <rider@altlinux.ru> 0.9.7-alt1
- 0.9.7

* Sun Dec 02 2001 Rider <rider@altlinux.ru> 0.9.6-alt1
- 0.9.6

* Tue Nov 08 2001 Rider <rider@altlinux.ru> 0.9.4-alt1
- 0.9.4

* Tue Oct 16 2001 Rider <rider@altlinux.ru> 0.9.2-alt1
- 0.9.2

* Tue Oct 09 2001 Rider <rider@altlinux.ru> 0.9.1-alt2
- snapshot from CVS

* Tue Sep 18 2001 Rider <rider@altlinux.ru> 0.9.1-alt1
- 0.9.1 released ;-)

* Tue Sep 18 2001 Rider <rider@altlinux.ru> 0.9.0-alt2
- update from CVS
- removed d4d plugin from this package

* Sat Sep 15 2001 Rider <rider@altlinux.ru> 0.9.0-alt1
- 0.9.0 from CVS

* Tue Sep 12 2001 Rider <rider@altlinux.ru> 0.5.3-alt4
- rebuild from CVS (DVD playback bugfix, fasted playback speed)

* Mon Sep 11 2001 Rider <rider@altlinux.ru> 0.5.3-alt3
- Fixed CFLAGS

* Sat Sep 08 2001 Rider <rider@altlinux.ru> 0.5.3-alt2
- New patch for fix ESD sound init

* Sat Sep 08 2001 Rider <rider@altlinux.ru>
- first build for ALT Linux
